Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLaurent Goubet2016-11-03 06:00:26 -0400
committerLaurent Goubet2016-11-03 06:02:25 -0400
commitf187aecb4b66116ced836178035776011add6e2c (patch)
tree2db7e0af7dad06f888a6fc241820c572a20ecba1
parenta506855097fed1407a61f7f8a5dc00aa05d86af3 (diff)
downloadorg.eclipse.emf.compare-f187aecb4b66116ced836178035776011add6e2c.tar.gz
org.eclipse.emf.compare-f187aecb4b66116ced836178035776011add6e2c.tar.xz
org.eclipse.emf.compare-f187aecb4b66116ced836178035776011add6e2c.zip
First version of an Oxygen tp
-rw-r--r--org.eclipse.emf.compare-parent/pom.xml63
-rw-r--r--org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.target60
-rw-r--r--org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.tpd37
-rw-r--r--plugins/org.eclipse.emf.compare.diagram.ide.ui.ecoretools/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.emf.compare.uml2.papyrus/META-INF/MANIFEST.MF2
5 files changed, 161 insertions, 3 deletions
diff --git a/org.eclipse.emf.compare-parent/pom.xml b/org.eclipse.emf.compare-parent/pom.xml
index 5c615acb9..625263ae1 100644
--- a/org.eclipse.emf.compare-parent/pom.xml
+++ b/org.eclipse.emf.compare-parent/pom.xml
@@ -345,13 +345,74 @@
</build>
<profiles>
<!--
- EMF Compare can be built against Neon, Mars, Luna, Kepler, Juno, Indigo, Helios and Galileo.
+ EMF Compare can be built against Oxygen, Neon, Mars, Luna, Kepler, Juno, Indigo, Helios and Galileo.
However, some parts of EMF Compare are dependent on recent platforms.
Namely, the UML and diagram comparison supports are only available for platforms Juno and higher.
Please set the "platform" variable to either one of the supported platform to activate the proper set of profiles.
-->
<!-- Target platforms are located in org.eclipse.emf.compare-parent/targetPlatforms. -->
<profile>
+ <id>oxygen</id>
+ <activation>
+ <activeByDefault>true</activeByDefault>
+ </activation>
+ <build>
+ <plugins>
+ <plugin>
+ <groupId>org.eclipse.tycho</groupId>
+ <artifactId>target-platform-configuration</artifactId>
+ <configuration>
+ <target>
+ <artifact>
+ <groupId>org.eclipse.emf.compare</groupId>
+ <artifactId>emf.compare-parent</artifactId>
+ <version>${parent-version}</version>
+ <classifier>targetPlatforms/oxygen-sdk</classifier>
+ </artifact>
+ </target>
+ </configuration>
+ </plugin>
+ </plugins>
+ </build>
+ <modules>
+ <module>../packaging/org.eclipse.emf.compare.update</module>
+ <module>../plugins/org.eclipse.emf.compare.ide.ui.tests.git</module>
+ <module>../plugins/org.eclipse.emf.compare.ide.ui.tests.git.framework</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.papyrus.tests.git</module>
+ <module>../packaging/org.eclipse.emf.compare.uml2-feature</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.edit</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.rcp</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.rcp.ui</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.tests</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.rcp.ui.tests</module>
+ <module>../packaging/org.eclipse.emf.compare.diagram.gmf-feature</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.edit</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.ide.ui</module>
+ <module>../packaging/org.eclipse.emf.compare.diagram.papyrus-feature</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.ide.ui.papyrus</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.papyrus</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.edit.papyrus</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.papyrus</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.papyrus.tests</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.ide</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.ide.tests</module>
+ <module>../plugins/org.eclipse.emf.compare.uml2.ide.ui.tests</module>
+
+ <module>../plugins/org.eclipse.emf.compare.egit</module>
+ <module>../plugins/org.eclipse.emf.compare.egit.ui</module>
+ <module>../packaging/org.eclipse.emf.compare.egit-feature</module>
+ <module>../plugins/org.eclipse.emf.compare.subversive</module>
+ <module>../packaging/org.eclipse.emf.compare.subversive-feature</module>
+
+ <module>../plugins/org.eclipse.emf.compare.diagram.sirius</module>
+ <module>../plugins/org.eclipse.emf.compare.diagram.ide.ui.sirius</module>
+ <module>../packaging/org.eclipse.emf.compare.diagram.sirius-feature</module>
+
+ </modules>
+ </profile>
+ <profile>
<id>neon</id>
<activation>
<activeByDefault>true</activeByDefault>
diff --git a/org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.target b/org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.target
new file mode 100644
index 000000000..3637ae973
--- /dev/null
+++ b/org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.target
@@ -0,0 +1,60 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde?>
+<!-- generated with https://github.com/mbarbero/fr.obeo.releng.targetplatform -->
+<target name="EMF Compare based on Oxygen SDK" sequenceNumber="1478164653">
+ <locations>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.eclipse.license.feature.group" version="1.0.1.v20140414-1359"/>
+ <repository location="http://download.eclipse.org/cbi/updates/license"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="com.google.guava" version="15.0.0.v201403281430"/>
+ <unit id="com.google.gson" version="2.2.4.v201311231704"/>
+ <unit id="org.junit" version="4.12.0.v201504281640"/>
+ <unit id="org.apache.log4j" version="1.2.15.v201012070815"/>
+ <unit id="javaewah" version="0.7.9.v201401101600"/>
+ <unit id="org.apache.commons.compress" version="1.6.0.v201310281400"/>
+ <unit id="org.kohsuke.args4j" version="2.0.21.v201301150030"/>
+ <unit id="org.mockito" version="1.9.5.v201311280930"/>
+ <unit id="org.hamcrest" version="1.1.0.v20090501071000"/>
+ <repository location="http://download.eclipse.org/tools/orbit/downloads/drops/R20150519210750/repository/"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.eclipse.egit.feature.group" version="0.0.0"/>
+ <repository location="http://download.eclipse.org/egit/updates-nightly"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="fr.obeo.performance" version="1.0.0.201402071743"/>
+ <repository location="http://axelrichard.github.io/fr.obeo.performance/"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.eclipse.platform.sdk" version="0.0.0"/>
+ <unit id="org.eclipse.emf.sdk.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.emf.transaction.sdk.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.uml2.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.gmf.runtime.notation.sdk.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.emf.ecoretools.sdk.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.team.svn.feature.group" version="0.0.0"/>
+ <repository location="http://download.eclipse.org/releases/oxygen"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.eclipse.acceleo.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.acceleo.query.feature.group" version="0.0.0"/>
+ <repository location="http://download.eclipse.org/acceleo/updates/nightly/latest"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.eclipse.sirius" version="0.0.0"/>
+ <unit id="org.eclipse.sirius.runtime.acceleo.feature.group" version="0.0.0"/>
+ <repository location="http://download.eclipse.org/sirius/updates/nightly/latest/neon"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.obeonetwork.dsl.uml2.runtime.feature.feature.group" version="0.0.0"/>
+ <repository location="http://obeo-umldesigner-nightly.s3-website-eu-west-1.amazonaws.com/master/repository"/>
+ </location>
+ <location includeMode="planner" includeAllPlatforms="false" includeSource="true" includeConfigurePhase="false" type="InstallableUnit">
+ <unit id="org.eclipse.papyrus.sdk.feature.feature.group" version="0.0.0"/>
+ <unit id="org.eclipse.papyrus.sysml.feature.feature.group" version="0.0.0"/>
+ <repository location="http://download.eclipse.org/modeling/mdt/papyrus/updates/milestones/3.0"/>
+ </location>
+ </locations>
+</target>
diff --git a/org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.tpd b/org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.tpd
new file mode 100644
index 000000000..0ab2f31a2
--- /dev/null
+++ b/org.eclipse.emf.compare-parent/targetPlatforms/oxygen-sdk.tpd
@@ -0,0 +1,37 @@
+target "EMF Compare based on Oxygen SDK"
+
+include "fragments/licence.tpd"
+include "fragments/orbit.tpd"
+include "fragments/egit-nightly.tpd"
+include "fragments/perf.tpd"
+
+with source, requirements
+
+location "http://download.eclipse.org/releases/oxygen" {
+ org.eclipse.platform.sdk lazy
+ org.eclipse.emf.sdk.feature.group lazy
+ org.eclipse.emf.transaction.sdk.feature.group lazy
+ org.eclipse.uml2.feature.group lazy
+ org.eclipse.gmf.runtime.notation.sdk.feature.group lazy
+ org.eclipse.emf.ecoretools.sdk.feature.group lazy
+ org.eclipse.team.svn.feature.group lazy
+}
+
+location "http://download.eclipse.org/acceleo/updates/nightly/latest" {
+ org.eclipse.acceleo.feature.group lazy
+ org.eclipse.acceleo.query.feature.group lazy
+}
+
+location "http://download.eclipse.org/sirius/updates/nightly/latest/neon" {
+ org.eclipse.sirius lazy
+ org.eclipse.sirius.runtime.acceleo.feature.group lazy
+}
+
+location "http://obeo-umldesigner-nightly.s3-website-eu-west-1.amazonaws.com/master/repository" {
+ org.obeonetwork.dsl.uml2.runtime.feature.feature.group lazy
+}
+
+location "http://download.eclipse.org/modeling/mdt/papyrus/updates/milestones/3.0" {
+ org.eclipse.papyrus.sdk.feature.feature.group lazy
+ org.eclipse.papyrus.sysml.feature.feature.group lazy
+} \ No newline at end of file
diff --git a/plugins/org.eclipse.emf.compare.diagram.ide.ui.ecoretools/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.diagram.ide.ui.ecoretools/META-INF/MANIFEST.MF
index d7c8f0928..3033422d3 100644
--- a/plugins/org.eclipse.emf.compare.diagram.ide.ui.ecoretools/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.diagram.ide.ui.ecoretools/META-INF/MANIFEST.MF
@@ -6,5 +6,5 @@ Bundle-Vendor: %providerName
Bundle-Version: 2.4.0.qualifier
Bundle-Localization: plugin
Require-Bundle: org.eclipse.emf.compare.diagram.ide.ui;bundle-version="3.0.0",
- org.eclipse.emf.ecoretools;bundle-version="[1.0.0,3.0.0)"
+ org.eclipse.emf.ecoretools;bundle-version="[1.0.0,4.0.0)"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/org.eclipse.emf.compare.uml2.papyrus/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.compare.uml2.papyrus/META-INF/MANIFEST.MF
index 66ee61aa3..6ec876635 100644
--- a/plugins/org.eclipse.emf.compare.uml2.papyrus/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.compare.uml2.papyrus/META-INF/MANIFEST.MF
@@ -8,7 +8,7 @@ Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.papyrus.uml.modelrepair;bundle-version="[1.0.2,3.0.0)",
- org.eclipse.papyrus.uml.tools;bundle-version="[1.0.2,3.0.0)",
+ org.eclipse.papyrus.uml.tools;bundle-version="[1.0.2,4.0.0)",
org.eclipse.papyrus.infra.core;bundle-version="[1.0.2,3.0.0)",
org.eclipse.papyrus.infra.services.labelprovider;bundle-version="[1.0.2,2.0.0)",
org.eclipse.jface;bundle-version="[3.10.2,4.0.0)",

Back to the top